Minted Connect
  1. Baskets
Minted Connect
Walletable E-Commerce
  • Partner
  • E-Commerce API
  • Embedded Webview
  • Walletable E-Commerce
  • Customers
    • Create Customer
      POST
    • Update Customer
      PATCH
    • Remove Customer Id
      DELETE
    • Get Customer
      GET
  • Products
    • Get Products
      GET
  • Complete
    • Complete Buy
      POST
    • Complete Sell
      POST
    • Complete Delivery
      POST
  • Orders
    • Get Orders
      GET
    • Receipt
      GET
    • Balance / Wallet
      GET
  • Baskets
    • Get Active Basket
      GET
    • Delete Basket Item
      DELETE
    • Create Basket / Add Basket Item
      POST
    • Clear Basket
      DELETE
    • Update Basket Item
      PATCH
  • Currency Rates
    GET
  • Rate History
    GET
  1. Baskets

Delete Basket Item

Testing
Testing Env
https://api.staging.mintedconnect.com
Testing Env
https://api.staging.mintedconnect.com
DELETE
https://api.staging.mintedconnect.com
/partner/walletable/basket
Last modified:2026-01-22 12:06:40
Maintainer:Not configured

Request

Authorization
Provide your encrypted digest scheme data in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Digest username=guest, realm="test", nonce="2", uri="/uri", response="***"
Header Params

Body Params application/jsonRequired

Example
{
  "external_customer_id": "{{customer_external_id}}",
  "cart_token": "{{cart_token}}",
  "sku": "MNTBAE0001"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.staging.mintedconnect.com/partner/walletable/basket' \
--header 'x-client-id: web' \
--header 'api-version: 3' \
--header 'Accept-Language: tr' \
--header 'Authorization: Digest <parameters>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "external_customer_id": "",
  "cart_token": "{{cart_token}}",
  "sku": "MNTBAE0001"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "data": {
        "pricefix": {
            "remaining": 203,
            "nextUpdate": "2026-02-20T15:33:17+03:00"
        },
        "id": 10985,
        "guid": "8E50A43A-EBBA-41F4-8C32-982A7137C9F4",
        "order_creation_status": "basket",
        "external_id": null,
        "increment_id": "59055701554",
        "token": "gfQkgqVz83IJ7hAVjLRqbw88szaAW1rC",
        "price_token": "XqTOVmgsDD2eCRCC99mnpvjuADt1SsYt",
        "type": "buy",
        "price": 0,
        "tax": 0,
        "total": 0,
        "payment_cost": 0,
        "paid_total": 0,
        "delivery_cost": 0,
        "insurance_price": 0,
        "conversion_price": 0,
        "market_commission": 0,
        "minted_markup_price": 0,
        "silver_craftsmanship": 0,
        "charge_fee": 0,
        "charge_fee_rate": 1.75,
        "minting_fee": 0,
        "storage_fee": 0,
        "storage_fee_rate": 0.3,
        "charges_vat": 0,
        "vat_rate": 5,
        "currency_code": "AED",
        "status_id": 1,
        "status_name": "Created",
        "customer": {
            "external_id": "ea0982a7-4fd3-43ff-a682-cae5870d1eac",
            "firstname": "Brant",
            "middlename": "",
            "lastname": "Ankunding",
            "fullname": "Brant Ankunding",
            "email": "[email protected]",
            "phone": "+905111111111",
            "gender": "M",
            "identity_number": "12345678910",
            "tax_office": null,
            "birthdate": "1970-01-31",
            "account_type": "person"
        },
        "shippingaddress": null,
        "billingaddress": null,
        "payment": null,
        "delivery": null,
        "order_at": "2026-02-20T12:29:17.000000Z",
        "items": [],
        "tx_type": "oneoffpurchase"
    },
    "success": true,
    "code": 0,
    "message": ""
}
🟠422Validation
Modified at 2026-01-22 12:06:40
Previous
Get Active Basket
Next
Create Basket / Add Basket Item
Built with